List workflow resource
curl --request GET \
--url https://api.amply-app.com/v1/users/{userId}/broadcasts/{broadcastId}/workflows \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.amply-app.com/v1/users/{userId}/broadcasts/{broadcastId}/workflows"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.amply-app.com/v1/users/{userId}/broadcasts/{broadcastId}/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"entryNodeId": "x",
"nodes": [
{
"id": "x",
"position": [
0
],
"type": "amply",
"config": {
"operation": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"resource": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"id": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"metadata": {
"filters": {
"type": "object",
"value": [
{
"key": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"value": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
}
}
],
"useExpression": true,
"expression": "string"
},
"filtersLogical": {
"type": "enum",
"value": "$and",
"useExpression": true,
"expression": "string"
},
"preview": true,
"cursors": {
"limit": {
"type": "number",
"value": 0,
"useExpression": true,
"expression": "string"
},
"skip": {
"type": "number",
"value": 0,
"useExpression": true,
"expression": "string"
},
"sort": {},
"startId": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
}
}
},
"body": {
"type": "object",
"value": [
{
"key": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"value": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
}
}
],
"useExpression": true,
"expression": "string"
}
},
"name": "x",
"errorBehavior": "stopWorkflow",
"onSuccess": "x",
"onError": "x"
}
],
"name": "x",
"_id": "64b7f8b6f23a4a4f3d0a9b12",
"_createdAt": "2024-01-01T00:00:00.000Z",
"description": "string",
"status": "enabled",
"trigger": {
"type": "manual"
},
"metadata": {},
"_updatedAt": "2024-01-01T00:00:00.000Z",
"_reference": "string"
}
],
"metadata": {},
"_type": "workflow"
}workflow resource
List workflow resource
GET
/
v1
/
users
/
{userId}
/
broadcasts
/
{broadcastId}
/
workflows
List workflow resource
Authorizations
Use the format X-API-KEY YOUR_API_KEY. Each key is tied to a single broadcast.
Path Parameters
Resource identifier.
Resource identifier.
Query Parameters
JSON array of filter objects. Example: [{"status":"active"}]
Logical operator applied to filters.
Available options:
$and, $or, $nor Maximum number of items to return.
Required range:
x >= 0Number of items to skip.
Required range:
x >= 0Start listing after this object id.
Sort spec as JSON string. Example: {"_createdAt":"desc"}.
Was this page helpful?
⌘I